routes/web.php
<?php

use App\Http\Controllers\Backend\Admin\AdminLoginController;
use App\Http\Controllers\Backend\Admin\AdminRegisterController;
use App\Http\Controllers\Backend\Admin\ProfileController;
use App\Http\Controllers\Backend\Blog\BlogController;
use App\Http\Controllers\Backend\Blog\BlogDetailController;
use App\Http\Controllers\Backend\Configuration\ConfigController;
use App\Http\Controllers\Backend\CountUp\CountUpController;
use App\Http\Controllers\Backend\Faq\FaqController;
use App\Http\Controllers\Backend\MainService\MainServiceController;
use App\Http\Controllers\Backend\MainService\ServiceCatController;
use App\Http\Controllers\Backend\Offer\OfferController;
use App\Http\Controllers\Backend\Popular\PopularWorkController;
use App\Http\Controllers\Backend\ServiceCard\ServiceCardController;
use App\Http\Controllers\Backend\ServiceDetail\ServiceDetailController;
use App\Http\Controllers\Backend\Team\TeamController;
use App\Http\Controllers\Backend\Update\UpdateController;
use App\Http\Controllers\ContactMailController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\Frontend\Contact\ContactController;
use App\Http\Controllers\Frontend\Contact\ContactUsController;
use App\Http\Controllers\Frontend\FrontShowController;
use App\Http\Controllers\PageController;
use Faker\Guesser\Name;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Mail;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

///////////////////front-end//////////////////////route//
Route::get('/', [PageController::class, 'indexpage'])->name('getindex');
Route::get('/index', [PageController::class, 'gethome'])->name('getHome');
Route::get('/about', [PageController::class, 'getabout'])->name('getAbout');
Route::get('/news', [PageController::class, 'getblog'])->name('getBlog');
Route::get('/news-detail/{slug}', [PageController::class, 'getblogdetail'])->name('getBlogDetail');
Route::get('/contact', [PageController::class, 'getcontact'])->name('getContact');
Route::get('/service', [PageController::class, 'getservice'])->name('getService');
Route::get('/service-detail/{slug}', [PageController::class, 'getservicedetail'])->name('getServiceDetail');
Route::get('/service/card/{slug1}', [PageController::class, 'getscdetail'])->name('getscDetail');
Route::get('/service/card-two/{slug2}', [PageController::class, 'getsctwo'])->name('getsctwo');
Route::get('/service/card-three/{slug3}', [PageController::class, 'getscthree'])->name('getscthree');


//contact route
Route::resource('/contactus', ContactController::class);
Route::post('/subscriber', [ContactUsController::class,'storeContact'])->name('store.contact');
Route::get('/subscriber', [ContactUsController::class, 'getContact'])->name('getSubs');
Route::delete('/del/subscriber/{id}', [ContactUsController::class, 'deleteSub'])->name('deleteSub');

//////////////Front-end routes END/////////////
//login
Route::match(['get','post'],'/login',[AdminLoginController::class, 'login'])->name('adminLogin');
//auth part
Route::group(['middleware'=>'auth'], function(){
//to dashboard
Route::get('/dashboard', [DashboardController::class, 'getIndex'])->name('index');
//get password
Route::get('/getpassowrd',[ProfileController::class,'password'])->name('getPassword');
//check password
Route::post('/check-password', [ProfileController::class, 'chkUserPassword'])->name('checkpassword');
//change password
Route::post('/change-password/{id}',[ProfileController::class,'updatePassword'])->name('changepassword');
//to get profile
Route::get('/getprofile', [ProfileController::class, 'profile'])->name('profile');
//update profile
Route::post('/update-profile/{id}',[ProfileController::class, 'updateProfile'])->name('updateprofile');

/////////Crud operation//////////
//ServiceCard
Route::resource('/service-card', ServiceCardController::class);
//Offer crud
Route::resource('/offers', OfferController::class);
//Popular work
Route::resource('/popularworks', PopularWorkController::class);
//Team member
Route::resource('/teams', TeamController::class);
//Blog crud
Route::resource('/blogs', BlogController::class);
//Main service
Route::resource('/mainservice', MainServiceController::class);
//Count ups
Route::resource('/countups', CountUpController::class);
//FAQ
Route::resource('/faqs', FaqController::class);
//Updates Routes
Route::get('update/content',[UpdateController::class, 'getUpdate'])->name('getupdate');

//page settings
Route::get('/settings', [ConfigController::class, 'getConfiguration'])->name('pageset');
Route::post('/settings', [ConfigController::class, 'postConfiguration'])->name('pageset.update');

});

//logout
Route::get('/logout', [AdminLoginController::class, 'logout'])->name('adminLogout');

// Route::post('/sendmail',[ContactMailController::class, 'sendEmail'])->name('sendemail');

app/Http/Controllers/Backend/Admin/AdminLoginController.php
<?php

namespace App\Http\Controllers\Backend\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;

class AdminLoginController extends Controller
{
    public function getLogin()
    {
        return view('backend.admin.login');
    }

    public function getSignup()
    {
        return view('backend.admin.register');
    }

        //admin login
        public function login(Request $request){
            if($request->isMethod('post')){
                $data = $request->all();
            //   dd($data);
                $rules = [
                    'email' => 'required|email|max:255',
                    'password' => 'required'
                ];
                $customMessages = [
                    'email.required' => 'Email is required',
                    'email.email' => 'Enter a valid mail',
                    'email.max' => 'Not more than 255 characters',
                    'password.required' => 'Password is reqired',
                    'password.password' => 'Wrong passowrd'
                ];
                $this->validate($request, $rules, $customMessages);
              
                if(Auth::attempt(['email' => $data['email'], 'password' => $data['password']]))
                {
                    return redirect()->route('index');
                }
                else{
                    Session::flash('error', 'Invalid credentials');
                    return redirect()->route('adminLogin');
                }
            }
            //check if logged in
            if(Auth::check()){
                    return redirect()->route('index');
            }
            else{
                return view('backend.admin.login');        
            }
        }

        //logout
        
    //logout 
    public function logout(){
        Auth::logout();
        Session::flash('success_message', 'logout successful');
        return redirect()->route('adminLogin');
    }
}

app/Http/Controllers/Backend/Admin/ProfileController.php
<?php

namespace App\Http\Controllers\Backend\Admin;

use App\Http\Controllers\Controller;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\File;

class ProfileController extends Controller
{
    public function profile(){

        $admin =  Auth::user();
        // dd($user);
        return view('backend.admin.profile', compact('admin'));
    }

    public function updateProfile(Request $request, $id){
        $data = $request->all();
        //validation
        $rules = [
            'email' => 'required|email|max:255',
            'name' => 'required|max:255'
        ];
        $customMessages = [
            'email.required' => 'Email is required',
            'email.email' => 'Enter a valid mail',
            'email.max' => 'Not more than 255 characters',
            'name.required' => 'Name is reqired',
            'name.max' => 'No more than 255 characters'
        ];
        $this->validate($request, $rules, $customMessages);//validation ends
        $profile=new User();
        $profile = $profile->find($id);
        $data = $request->all();
        if ($request->has('image')) {
            $file_name = "Image-" . date('ymdhis') . rand(0, 999) . "." . $request->image->getClientOriginalExtension();
            $path = public_path() . '/uploads/admin';
            if (!File::exists($path)) {
                File::makeDirectory($path, 0777, true, true);
            }
            $success = $request->image->move($path, $file_name);
            if ($success) {
               $data['image'] = $file_name;
            } else {
                $data['image'] = null;
            }
            $destination = 'uploads/admin/' . $profile->image;
            if (file::exists($destination)) {
                file::delete($destination);
            }
        }
        $profile->fill($data);
        $status = $profile->save();
        if ($status) {
            Session::flash('success', 'Profile updated Successfully');
            return redirect()->back();
        } 

    }

       //Change Admin Password
    public function password(){
        $admin = User::where('email', Auth::user()->email)->first();
        return view ('backend.admin.changepassword', compact('admin'));
    }

   //Check Admin Current Password
   public function chkUserPassword(Request $request){
    $data = $request->all();
    $current_password = $data['current_password'];
    $user_id = Auth::user()->id;
    $check_password = User::where('id', $user_id)->first();
    if (Hash::check($current_password, $check_password->password)){
        return "true"; die;
    } else {
        return "false"; die;
    }
}

// Update Admin password
 public function updatePassword(Request $request){
    $data = $request->all();
    $validateData = $request->validate([
        'current_password' => 'required|max:255',
        'password' => 'required',
        'password_confirmation' => 'required_with:password|same:password',
    ]);
    $admin = User::where('email', Auth::user()->email)->first();
    $current_password = $admin->password;
    if(Hash::check($data['current_password'], $current_password)){
        $admin->password = bcrypt($data['password']);
        $admin->save();
        Session::flash('success_message', 'Your Password Has Been Changed Successfully');
        return redirect()->back();
    } else {
        Session::flash('error_message', 'Your Current Password Does Not Match with our Database');
        return redirect()->back();
    }
}
}

app/Http/Controllers/Backend/Blog/BlogController.php
<?php

namespace App\Http\Controllers\Backend\Blog;

use App\Http\Controllers\Controller;
use App\Models\Blog;
use Brian2694\Toastr\Facades\Toastr;
use Illuminate\Http\Request;
use Illuminate\Support\Str;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Session;
// use RealRashid\SweetAlert\Facades\Alert;
use Alert;

class BlogController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $blogs = Blog::all();
        return view('backend.blogs.index', compact('blogs'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('backend.blogs.create')->with('success','Item created successfully.');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'title' => 'required',
            'name' => 'required',
            'image' => 'required|image|mimes:jpeg,png,jpg,gif,svg',
            'author' => 'required',
            'date' => 'required',
        ]);
        $blog=new Blog();
        $data = $request->all();
        $blog->slug = Str::slug($request->title);
        if ($request->has('image')) {
            $file_name = "Image-" . date('ymdhis') . rand(0, 999) . "." . $request->image->getClientOriginalExtension();
            $path = public_path() . '/blogimage';
            if (!File::exists($path)) {
                File::makeDirectory($path, 0777, true, true);
            }
            $success = $request->image->move($path, $file_name);
            if ($success) {
               $data['image'] = $file_name;
            } else {
                $data['image'] = null;
            }

        }
        $blog->fill($data);
        $status = $blog->save();
        if ($status) {
            // session()->flash('success','Item created successfully.');
            return redirect()->route('blogs.index')->with('success','Blog added successfully');
        }
        // alert()->success('Success','Blog Added Successfully');

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $blog = Blog::find($id);
        return view('backend.blogs.view', compact('blog'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $blog = Blog::find($id);
        return view('backend.blogs.edit', compact('blog'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $request->validate([
            'title' => 'required',
            'name' => 'required',
            'author' => 'required',
            'date' => 'required',
        ]);

        $blog=new Blog();
        $blog = $blog->find($id);
        $data = $request->all();
        $blog->slug = Str::slug($request->title);
        if ($request->has('image')) {
            $file_name = "Image-" . date('ymdhis') . rand(0, 999) . "." . $request->image->getClientOriginalExtension();
            $path = public_path() . '/blogimage';
            if (!File::exists($path)) {
                File::makeDirectory($path, 0777, true, true);
            }
            $destination = $path.'/'.$blog->image;
            if (file::exists($destination)) {
                file::delete($destination);
            }
            $success = $request->image->move($path, $file_name);
            if ($success) {
               $data['image'] = $file_name;
            } else {
                $data['image'] = null;
            }
            $destination = 'blogimage/' . $blog->image;
            if (file::exists($destination)) {
                file::delete($destination);
            }
        }
        $blog->fill($data);
        $status = $blog->save();
        if ($status) {
            Session::flash('success', 'Blog Updated Successfully');
            return redirect()->route('blogs.index');
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $blog = new Blog();
        $blog = $blog->find($id);
        $destination = 'blogimage/' . $blog->image;
        if (file::exists($destination)) {
                file::delete($destination);
        }
        if ($blog) {
            $blog->delete();
        }
        return redirect()->route('blogs.index')->with('success', 'Blog deleted successfully!');

    }
}

app/Http/Controllers/Backend/Update/UpdateController.php
<?php

namespace App\Http\Controllers\Backend\Update;

use App\Http\Controllers\Controller;
use App\Models\CountUp;
use App\Models\Offer;
use App\Models\ServiceCard;
use Illuminate\Http\Request;

class UpdateController extends Controller
{
    public function getUpdate()
    {
        $service = [1,2,3];
        $about = 1;
        $count = 1;
        $countup = CountUp::where('id',$count)->first();
        $offer = Offer::where('id',$about)->first();
        $service = ServiceCard::where('id',$service)->first();
        return view('backend.updatetabs.update', compact('countup','offer','service'));
    }
}

resources/views/backend/team/create.blade.php
@extends('backend.layouts.app')
@section('content')
@push('title')
Add Team
@endpush
<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-header align-items-center d-flex">
                <h4 class="card-title mb-0 flex-grow-1">Create Team</h4>
            </div><!-- end card header -->
            <div class="card-body">
                <div class="live-preview">
                    <div class="row gy-4">
                        @include('backend.layouts.message')
                        <form action="{{ route('teams.store') }}" method="POST" enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="mb-3">
                                        <label for="name" class="form-label">Name</label>
                                        <input type="text" name="name" class="form-control" id="name" value="{{ old('name') }}">
                                    </div>
                                </div>
                                <!--end col-->
                                <div class="col-lg-6">
                                    <div class="mb-3">
                                        <label for="title" class="form-label">Title</label>
                                        <input type="text" name="title" class="form-control" id="title" value="{{ old('title') }}">
                                    </div>
                                </div>
                                <!--end col-->
                                <div class="col-lg-6">
                                    <div class="mb-3">
                                        <label for="exampleFormControlTextarea5" class="form-label">Image</label>
                                        <input class="form-control" type="file" name="image" id="image" accept="image/*" onchange="readURL(this);">
                                        @if (empty($team->image))
                                        <img src="" width="100px" id="team">
                                    @else
                                      <img src="{{asset('teamimage/'.$team->image)}}" width="100px" id="team">                                  
                                    @endif
                                    </div>
                                </div>
                                <!--end col-->
                            </div>
                            <div class="row">
                                <div class="col-lg-12 d-flex justify-content-end gap-2">
                                    <button type="submit" class="btn btn-success ">Create</button>
                                    <a href="{{ route('teams.index') }}" class="btn btn-secondary ">Back</a>
                                </div>
                            </div>
                        </form>
                    </div>   
                    <!--end row-->
                </div>
            </div>
        </div>
    </div>
    <!--end col-->
</div>

@endsection

@push('js')
<script>
function readURL(input){
    if(input.files && input.files[0]);
    var reader = new FileReader();
    reader.onload = function (e){
        $("#team").attr('src', e.target.result).width(100);
    }
    reader.readAsDataURL(input.files[0])
}
</script>
@endpush

resources/views/backend/team/edit.blade.php
@extends('backend.layouts.app')
@section('content')
Update Team
<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-header align-items-center d-flex">
                <h4 class="card-title mb-0 flex-grow-1">Edit</h4>
            </div><!-- end card header -->
            <div class="card-body">
                <div class="live-preview">
                    <div class="row gy-4">
                        @include('backend.layouts.message')
                        <form action="{{ route('teams.update', $team->id) }}" method="POST" enctype="multipart/form-data">
                            @method('patch')
                            @csrf
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="mb-3">
                                        <label for="name" class="form-label">Name</label>
                                        <input type="text" name="name" class="form-control" id="name" value="{{ $team->name  }}">
                                    </div>
                                </div>
                                <!--end col-->
                                <div class="col-lg-6">
                                    <div class="mb-3">
                                        <label for="title" class="form-label">Title</label>
                                        <input type="text" name="title" class="form-control" id="title" value="{{ $team->title  }}">
                                    </div>
                                </div>
                                <!--end col-->
                                <div class="col-lg-6">
                                    <div class="mb-3">
                                        <label for="exampleFormControlTextarea5" class="form-label">Image</label>
                                        <input class="form-control" type="file" name="image" id="image" accept="image/*" onchange="readURL(this);">
                                       
                                        @if (empty($team->image))
                                        <img src="" width="100px" id="team">
                                    @else
                                      <img src="{{asset('teamimage/'.$team->image)}}" width="100px" id="team">                                  
                                    @endif
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-12 d-flex justify-content-end gap-2">
                                    <button type="submit" class="btn btn-success ">Update</button>
                                    <a href="{{ route('teams.index') }}" class="btn btn-secondary ">Back</a>
                                </div>
                            </div>
                        </form>
                    </div>   
                    <!--end row-->
                </div>
            </div>
        </div>
    </div>
    <!--end col-->
</div>

@endsection

@push('js')
<script>
function readURL(input){
    if(input.files && input.files[0]);
    var reader = new FileReader();
    reader.onload = function (e){
        $("#team").attr('src', e.target.result).width(100);
    }
    reader.readAsDataURL(input.files[0])
}
</script>
@endpush

resources/views/backend/team/index.blade.php
@extends('backend.layouts.app')
@section('content')
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.2.0/css/bootstrap.min.css">
<link rel="stylesheet" href="https://cdn.datatables.net/1.13.1/css/dataTables.bootstrap5.min.css">
@push('title')
Team Members 
@endpush
            <div class="row">
                <div class="col-xl-12">
                    <div class="card">
                        <div class="card-header align-items-center d-flex">
                            <h4 class="card-title mb-0 flex-grow-1 text-end"><a href="{{ route('teams.create') }}" class="btn btn-primary">Add Team</a> </h4>
                        </div><!-- end card header -->

                        <div class="card-body">
                            @include('backend.layouts.message')
                            <div class="live-preview">
                                <div class="table-responsive">
                                    <table class="table align-middle table-nowrap mb-0" id="example">
                                        <thead>
                                            <tr>
                                                <th scope="col">ID</th>
                                                <th scope="col">Titles</th>
                                                <th scope="col">Name</th>
                                                <th scope="col">Image</th>
                                                <th scope="col">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach ($teams as $team)
                                            <tr>
                                                <td>{{ $loop->index + 1}}</td>
                                                <td>{{ $team->title }}</td>
                                                <td>{{ $team->name }}</td>
                                                <td><img src="/teamimage/{{ $team->image }}" width="100px"></td>
                                                <td>
                                                    <div class="hstack gap-3 flex-wrap">
                                                        <a href="{{ route('teams.show', $team->id) }}" class="link-success fs-15"><i class="ri-eye-fill align-middle"
                                                            style="color: blue;"></i></a>
                                                        <a href="{{ route('teams.edit', $team->id) }}" class="link-success fs-15"><i class="ri-edit-2-line"></i></a>
                                                        <button type="submit" class="btn btn-sm" onclick="handleDelete({{ $team->id }})" data-bs-toggle="modal" data-bs-target="#exampleModal"
                                                            style="color: red;">
                                                            <i class="ri-delete-bin-line"></i></button>
                                                    </div>
                                                </td>
                                            </tr> 
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
@endsection

@push('modal')
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
         <form method="POST" id="deleteGalleryForm" action="">
            @csrf
            @method('DELETE')
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Delete Team</h4>
                    {{-- <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button> --}}
                </div>
                <div class="modal-body">
                    <p class="text-center text-bold">Are you sure you want to delete?</p>
                </div>
                <div class="modal-footer justify-content-between">
                    <button type="button" class="btn btn-primary" data-bs-dismiss="modal">No, Go Back</button>
                    <button type="submit" class="btn btn-danger"data-bs-dismiss="modal">Yes, Delete</button>
                </div>
            </div>
            <!-- /.modal-content -->
        </form>
    </div>
  </div>
</div>
@endpush

@push('js')
<script>
    function handleDelete(id) {
        var form = document.getElementById('deleteGalleryForm');
        form.action = 'teams/' + id;
        $('#exampleModal').modal('show');
    }
    </script>

<script src="https://code.jquery.com/jquery-3.5.1.js"></script>
<script src="https://cdn.datatables.net/1.13.1/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.13.1/js/dataTables.bootstrap5.min.js"></script>
<script>
    $(document).ready(function () {
$('#example').DataTable();
});
</script>
@endpush

resources/views/backend/team/view.blade.php
@extends('backend.layouts.app')
@section('content')
@push('title')
View Team   
@endpush
<div class="container justify-content-center">
<div class="row mx-2">
        <div class="col-md-6 col-lg-12">
            <div class="card">
                <div class="card-header">
                    <a href="{{route('teams.index')}}" class="btn btn-secondary float-end"> Back</a>
                    MainService Detail  
                </div>
                <div class="card-body">
                    <p>ID : {{ $team->id }}</p>
                    <p>Name : {{ $team->title }}</p>
                    <p>Title : {!! $team->description !!}</p>
                    <p>Image :<img src="/teamimage/{{ $team->image }}" width="100px"></p>
                </div>
            </div>
        </div>
</div>
</div>

@endsection